/***************************************************************************
                          logviewimpl.cpp  -  description
                             -------------------
    begin                : Mon Dec 4 2000
    copyright            : (C) 2000 by Olaf Lueg, Adam Kreuschner
    email                : olaf.lueg@t-online.de, kreuschner@dvoid.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "logviewimpl.h"

// qt include files
#include <qmultilineedit.h>
#include <qstring.h>

LogViewImpl::LogViewImpl(QWidget *parent, const char *name ) : LogView(parent,name) {
  // initialize the architecture list and add it to strArch combo box
  archList = new QStringList();
  archList->append("i386");
  archList->append("i486");
  archList->append("i586");
  archList->append("i686");
  archList->append("athlon");
  archList->append("noarch");

}
LogViewImpl::~LogViewImpl(){
}
/**  */
void LogViewImpl::resizeEvent(QResizeEvent *ev){
	
}
/**  */
void LogViewImpl::insertData(QString strData){
  QString strOutput(strData);
  strOutput = strOutput.remove(strOutput.find('\n'), 1);
  strText->insertLine(strOutput, -1);
  strText->setCursorPosition(strText->numLines(),0,false);

}
/**  */
void LogViewImpl::slotCreateSpec(){
	emit createSpec();
}
/**  */
void LogViewImpl::slotRunRPM(){
	emit runRPM();
}
/**  */
void LogViewImpl::slotStopRPM(){
	emit stopRPM();
}
